Subject: Document Action: 'Requirements for Signaling of (Pre-) Congestion Information in a DiffServ Domain' to Informational RFC (draft-ietf-pcn-signaling-requirements-08.txt)

From: The IESG <[email-masked]>
Date: Tue, 21 Feb 2012 12:12:49 -0800

The IESG has approved the following document:
- 'Requirements for Signaling of (Pre-) Congestion Information in a
   DiffServ Domain'
  (draft-ietf-pcn-signaling-requirements-08.txt) as an Informational RFC

This document is the product of the Congestion and Pre-Congestion
Notification Working Group.

The IESG contact persons are David Harrington and Wesley Eddy.

A URL of this Internet Draft is:
http://datatracker.ietf.org/doc/draft-ietf-pcn-signaling-requirements/

Technical Summary

PCN (RFC 5559) conveys pre-congestion information to an egress
router via in-band packet marking. This document defines the
requirements for signaling protocols that convey PCN feedback
information from a PCN egress router to a PCN decision point,
and between the decision point and a PCN ingress router (if they
are not co-located). The signaling requirements apply specifically
to the Single Marking [RFCXXXX] and Controlled Load PCN 
[RFCXXXX] edge behaviours.

Working Group Summary

The document was subject to thorough review by the PCN working
group, and strong consensus for publication was reached. 

Document Quality

As an Informational document, there are no implementations, 
but two companion documents are consistent with these signaling requirements.

The document shepherd expects that there are additional requirements
(e.g., congestion control) that are generic to any Internet
protocol, that are not explicitly captured in this draft, but
expects that as the working group begins to define (or adapt)
one or more signaling protocols, that these requirements will
be taken into account.

There are references to draft-ietf-pcn-cl-edge-behaviour (Controlled Load) and 
draft-pcn-sm-edge-behaviour (Single Marking), which have also been submitted for
publication.

Personnel

Document Shepherd: Steven Blake, PCN co-chair <[email-masked]>
Responsible Area Director: David Harrington

RFC Editor Note

  Please insert the appropriate RFC#s in any announcements and in the abstract of the document.